> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update provider connection

> Updates a provider connection. If api_key is provided, it is re-encrypted and is_valid is reset.



## OpenAPI

````yaml /openapi.yaml put /provider-connections/{id}
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /provider-connections/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    put:
      summary: Update provider connection
      description: >-
        Updates a provider connection. If api_key is provided, it is
        re-encrypted and is_valid is reset.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                provider:
                  type: string
                api_key:
                  type: string
                api_base_url:
                  type: string
                  nullable: true
      responses:
        '200':
          description: Connection updated
        '401':
          description: Not authenticated
        '403':
          description: Requires user role
        '404':
          description: Connection not found
        '409':
          description: Duplicate connection name
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````